Index: GNUmakefile
===================================================================
--- GNUmakefile	(revision 843)
+++ GNUmakefile	(working copy)
@@ -1,6 +1,7 @@
 #makeAll.sh
 SHELL=/bin/sh
-prefix=/usr/local
+#prefix=/usr/local
+prefix=/home/daveb/source/d/dmd
 
 OS=$(shell uname || uname -s)
 ARCH=$(shell arch || uname -m)
@@ -19,7 +20,7 @@
 endif
 
 ifeq ("$(DC)","dmd")
-    DCFLAGS=-O
+    DCFLAGS=-O -w -wi -m32
     LINKERFLAG=-L
     output=-of$@
 else ifeq ("$(DC)","ldc")
Index: src/atk/ObjectFactory.d
===================================================================
--- src/atk/ObjectFactory.d	(revision 843)
+++ src/atk/ObjectFactory.d	(working copy)
@@ -115,7 +115,7 @@
 		this.atkObjectFactory = atkObjectFactory;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		atkObjectFactory = cast(AtkObjectFactory*)obj;
Index: src/atk/NoOpObject.d
===================================================================
--- src/atk/NoOpObject.d	(revision 843)
+++ src/atk/NoOpObject.d	(working copy)
@@ -113,7 +113,7 @@
 		this.atkNoOpObject = atkNoOpObject;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		atkNoOpObject = cast(AtkNoOpObject*)obj;
Index: src/atk/Hyperlink.d
===================================================================
--- src/atk/Hyperlink.d	(revision 843)
+++ src/atk/Hyperlink.d	(working copy)
@@ -116,7 +116,7 @@
 		this.atkHyperlink = atkHyperlink;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		atkHyperlink = cast(AtkHyperlink*)obj;
Index: src/atk/ObjectAtk.d
===================================================================
--- src/atk/ObjectAtk.d	(revision 843)
+++ src/atk/ObjectAtk.d	(working copy)
@@ -133,7 +133,7 @@
 		this.atkObject = atkObject;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		atkObject = cast(AtkObject*)obj;
Index: src/atk/Registry.d
===================================================================
--- src/atk/Registry.d	(revision 843)
+++ src/atk/Registry.d	(working copy)
@@ -115,7 +115,7 @@
 		this.atkRegistry = atkRegistry;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		atkRegistry = cast(AtkRegistry*)obj;
Index: src/atk/Relation.d
===================================================================
--- src/atk/Relation.d	(revision 843)
+++ src/atk/Relation.d	(working copy)
@@ -115,7 +115,7 @@
 		this.atkRelation = atkRelation;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		atkRelation = cast(AtkRelation*)obj;
Index: src/atk/RelationSet.d
===================================================================
--- src/atk/RelationSet.d	(revision 843)
+++ src/atk/RelationSet.d	(working copy)
@@ -119,7 +119,7 @@
 		this.atkRelationSet = atkRelationSet;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		atkRelationSet = cast(AtkRelationSet*)obj;
Index: src/atk/NoOpObjectFactory.d
===================================================================
--- src/atk/NoOpObjectFactory.d	(revision 843)
+++ src/atk/NoOpObjectFactory.d	(working copy)
@@ -107,7 +107,7 @@
 		this.atkNoOpObjectFactory = atkNoOpObjectFactory;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		atkNoOpObjectFactory = cast(AtkNoOpObjectFactory*)obj;
Index: src/atk/GObjectAccessible.d
===================================================================
--- src/atk/GObjectAccessible.d	(revision 843)
+++ src/atk/GObjectAccessible.d	(working copy)
@@ -114,7 +114,7 @@
 		this.atkGObjectAccessible = atkGObjectAccessible;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		atkGObjectAccessible = cast(AtkGObjectAccessible*)obj;
Index: src/atk/StateSet.d
===================================================================
--- src/atk/StateSet.d	(revision 843)
+++ src/atk/StateSet.d	(working copy)
@@ -109,7 +109,7 @@
 		this.atkStateSet = atkStateSet;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		atkStateSet = cast(AtkStateSet*)obj;
Index: src/gdkpixbuf/PixbufAnimation.d
===================================================================
--- src/gdkpixbuf/PixbufAnimation.d	(revision 843)
+++ src/gdkpixbuf/PixbufAnimation.d	(working copy)
@@ -131,7 +131,7 @@
 		this.gdkPixbufAnimation = gdkPixbufAnimation;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkPixbufAnimation = cast(GdkPixbufAnimation*)obj;
Index: src/gdkpixbuf/PixbufAnimationIter.d
===================================================================
--- src/gdkpixbuf/PixbufAnimationIter.d	(revision 843)
+++ src/gdkpixbuf/PixbufAnimationIter.d	(working copy)
@@ -117,7 +117,7 @@
 		this.gdkPixbufAnimationIter = gdkPixbufAnimationIter;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkPixbufAnimationIter = cast(GdkPixbufAnimationIter*)obj;
Index: src/gdkpixbuf/PixbufLoader.d
===================================================================
--- src/gdkpixbuf/PixbufLoader.d	(revision 843)
+++ src/gdkpixbuf/PixbufLoader.d	(working copy)
@@ -161,7 +161,7 @@
 		this.gdkPixbufLoader = gdkPixbufLoader;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkPixbufLoader = cast(GdkPixbufLoader*)obj;
Index: src/gdkpixbuf/PixbufSimpleAnimation.d
===================================================================
--- src/gdkpixbuf/PixbufSimpleAnimation.d	(revision 843)
+++ src/gdkpixbuf/PixbufSimpleAnimation.d	(working copy)
@@ -114,7 +114,7 @@
 		this.gdkPixbufSimpleAnim = gdkPixbufSimpleAnim;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkPixbufSimpleAnim = cast(GdkPixbufSimpleAnim*)obj;
Index: src/pango/PgRenderer.d
===================================================================
--- src/pango/PgRenderer.d	(revision 843)
+++ src/pango/PgRenderer.d	(working copy)
@@ -132,7 +132,7 @@
 		this.pangoRenderer = pangoRenderer;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoRenderer = cast(PangoRenderer*)obj;
Index: src/pango/PgLayout.d
===================================================================
--- src/pango/PgLayout.d	(revision 843)
+++ src/pango/PgLayout.d	(working copy)
@@ -137,7 +137,7 @@
 		this.pangoLayout = pangoLayout;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoLayout = cast(PangoLayout*)obj;
Index: src/pango/PgFontset.d
===================================================================
--- src/pango/PgFontset.d	(revision 843)
+++ src/pango/PgFontset.d	(working copy)
@@ -117,7 +117,7 @@
 		this.pangoFontset = pangoFontset;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoFontset = cast(PangoFontset*)obj;
Index: src/pango/PgCairoFontMap.d
===================================================================
--- src/pango/PgCairoFontMap.d	(revision 843)
+++ src/pango/PgCairoFontMap.d	(working copy)
@@ -209,7 +209,7 @@
 		this.pangoCairoFontMap = pangoCairoFontMap;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoCairoFontMap = cast(PangoCairoFontMap*)obj;
Index: src/pango/PgFontMap.d
===================================================================
--- src/pango/PgFontMap.d	(revision 843)
+++ src/pango/PgFontMap.d	(working copy)
@@ -130,7 +130,7 @@
 		this.pangoFontMap = pangoFontMap;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoFontMap = cast(PangoFontMap*)obj;
Index: src/pango/PgEngine.d
===================================================================
--- src/pango/PgEngine.d	(revision 843)
+++ src/pango/PgEngine.d	(working copy)
@@ -125,7 +125,7 @@
 		this.pangoEngine = pangoEngine;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoEngine = cast(PangoEngine*)obj;
Index: src/pango/PgFont.d
===================================================================
--- src/pango/PgFont.d	(revision 843)
+++ src/pango/PgFont.d	(working copy)
@@ -136,7 +136,7 @@
 		this.pangoFont = pangoFont;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoFont = cast(PangoFont*)obj;
Index: src/pango/PgEngineLang.d
===================================================================
--- src/pango/PgEngineLang.d	(revision 843)
+++ src/pango/PgEngineLang.d	(working copy)
@@ -107,7 +107,7 @@
 		this.pangoEngineLang = pangoEngineLang;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoEngineLang = cast(PangoEngineLang*)obj;
Index: src/pango/PgFontFamily.d
===================================================================
--- src/pango/PgFontFamily.d	(revision 843)
+++ src/pango/PgFontFamily.d	(working copy)
@@ -115,7 +115,7 @@
 		this.pangoFontFamily = pangoFontFamily;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoFontFamily = cast(PangoFontFamily*)obj;
Index: src/pango/PgContext.d
===================================================================
--- src/pango/PgContext.d	(revision 843)
+++ src/pango/PgContext.d	(working copy)
@@ -150,7 +150,7 @@
 		this.pangoContext = pangoContext;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoContext = cast(PangoContext*)obj;
Index: src/pango/PgFontFace.d
===================================================================
--- src/pango/PgFontFace.d	(revision 843)
+++ src/pango/PgFontFace.d	(working copy)
@@ -115,7 +115,7 @@
 		this.pangoFontFace = pangoFontFace;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoFontFace = cast(PangoFontFace*)obj;
Index: src/pango/PgEngineShape.d
===================================================================
--- src/pango/PgEngineShape.d	(revision 843)
+++ src/pango/PgEngineShape.d	(working copy)
@@ -107,7 +107,7 @@
 		this.pangoEngineShape = pangoEngineShape;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoEngineShape = cast(PangoEngineShape*)obj;
Index: src/pango/PgFontsetSimple.d
===================================================================
--- src/pango/PgFontsetSimple.d	(revision 843)
+++ src/pango/PgFontsetSimple.d	(working copy)
@@ -118,7 +118,7 @@
 		this.pangoFontsetSimple = pangoFontsetSimple;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		pangoFontsetSimple = cast(PangoFontsetSimple*)obj;
Index: src/gdk/DisplayManager.d
===================================================================
--- src/gdk/DisplayManager.d	(revision 843)
+++ src/gdk/DisplayManager.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gdkDisplayManager = gdkDisplayManager;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkDisplayManager = cast(GdkDisplayManager*)obj;
Index: src/gdk/Window.d
===================================================================
--- src/gdk/Window.d	(revision 843)
+++ src/gdk/Window.d	(working copy)
@@ -400,7 +400,7 @@
 		this.gdkWindow = gdkWindow;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkWindow = cast(GdkWindow*)obj;
Index: src/gdk/Keymap.d
===================================================================
--- src/gdk/Keymap.d	(revision 843)
+++ src/gdk/Keymap.d	(working copy)
@@ -166,7 +166,7 @@
 		this.gdkKeymap = gdkKeymap;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkKeymap = cast(GdkKeymap*)obj;
Index: src/gdk/Pixbuf.d
===================================================================
--- src/gdk/Pixbuf.d	(revision 843)
+++ src/gdk/Pixbuf.d	(working copy)
@@ -141,7 +141,7 @@
 		this.gdkPixbuf = gdkPixbuf;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkPixbuf = cast(GdkPixbuf*)obj;
Index: src/gdk/Pixmap.d
===================================================================
--- src/gdk/Pixmap.d	(revision 843)
+++ src/gdk/Pixmap.d	(working copy)
@@ -126,7 +126,7 @@
 		this.gdkPixmap = gdkPixmap;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkPixmap = cast(GdkPixmap*)obj;
Index: src/gdk/Display.d
===================================================================
--- src/gdk/Display.d	(revision 843)
+++ src/gdk/Display.d	(working copy)
@@ -131,7 +131,7 @@
 		this.gdkDisplay = gdkDisplay;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkDisplay = cast(GdkDisplay*)obj;
Index: src/gdk/Screen.d
===================================================================
--- src/gdk/Screen.d	(revision 843)
+++ src/gdk/Screen.d	(working copy)
@@ -150,7 +150,7 @@
 		this.gdkScreen = gdkScreen;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkScreen = cast(GdkScreen*)obj;
Index: src/gdk/Drawable.d
===================================================================
--- src/gdk/Drawable.d	(revision 843)
+++ src/gdk/Drawable.d	(working copy)
@@ -170,7 +170,7 @@
 		this.gdkDrawable = gdkDrawable;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkDrawable = cast(GdkDrawable*)obj;
Index: src/gdk/GC.d
===================================================================
--- src/gdk/GC.d	(revision 843)
+++ src/gdk/GC.d	(working copy)
@@ -149,7 +149,7 @@
 		this.gdkGC = gdkGC;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkGC = cast(GdkGC*)obj;
Index: src/gtk/Accessible.d
===================================================================
--- src/gtk/Accessible.d	(revision 843)
+++ src/gtk/Accessible.d	(working copy)
@@ -105,7 +105,7 @@
 		this.gtkAccessible = gtkAccessible;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkAccessible = cast(GtkAccessible*)obj;
Index: src/gtk/FileChooserButton.d
===================================================================
--- src/gtk/FileChooserButton.d	(revision 843)
+++ src/gtk/FileChooserButton.d	(working copy)
@@ -145,7 +145,7 @@
 		this.gtkFileChooserButton = gtkFileChooserButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkFileChooserButton = cast(GtkFileChooserButton*)obj;
Index: src/gtk/HPaned.d
===================================================================
--- src/gtk/HPaned.d	(revision 843)
+++ src/gtk/HPaned.d	(working copy)
@@ -112,7 +112,7 @@
 		this.gtkHPaned = gtkHPaned;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkHPaned = cast(GtkHPaned*)obj;
Index: src/gtk/RadioMenuItem.d
===================================================================
--- src/gtk/RadioMenuItem.d	(revision 843)
+++ src/gtk/RadioMenuItem.d	(working copy)
@@ -144,7 +144,7 @@
 		this.gtkRadioMenuItem = gtkRadioMenuItem;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRadioMenuItem = cast(GtkRadioMenuItem*)obj;
Index: src/gtk/VolumeButton.d
===================================================================
--- src/gtk/VolumeButton.d	(revision 843)
+++ src/gtk/VolumeButton.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gtkVolumeButton = gtkVolumeButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkVolumeButton = cast(GtkVolumeButton*)obj;
Index: src/gtk/Menu.d
===================================================================
--- src/gtk/Menu.d	(revision 843)
+++ src/gtk/Menu.d	(working copy)
@@ -190,7 +190,7 @@
 		this.gtkMenu = gtkMenu;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkMenu = cast(GtkMenu*)obj;
Index: src/gtk/ColorSelectionDialog.d
===================================================================
--- src/gtk/ColorSelectionDialog.d	(revision 843)
+++ src/gtk/ColorSelectionDialog.d	(working copy)
@@ -118,7 +118,7 @@
 		this.gtkColorSelectionDialog = gtkColorSelectionDialog;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkColorSelectionDialog = cast(GtkColorSelectionDialog*)obj;
Index: src/gtk/SeparatorMenuItem.d
===================================================================
--- src/gtk/SeparatorMenuItem.d	(revision 843)
+++ src/gtk/SeparatorMenuItem.d	(working copy)
@@ -108,7 +108,7 @@
 		this.gtkSeparatorMenuItem = gtkSeparatorMenuItem;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSeparatorMenuItem = cast(GtkSeparatorMenuItem*)obj;
Index: src/gtk/Expander.d
===================================================================
--- src/gtk/Expander.d	(revision 843)
+++ src/gtk/Expander.d	(working copy)
@@ -171,7 +171,7 @@
 		this.gtkExpander = gtkExpander;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkExpander = cast(GtkExpander*)obj;
Index: src/gtk/Assistant.d
===================================================================
--- src/gtk/Assistant.d	(revision 843)
+++ src/gtk/Assistant.d	(working copy)
@@ -123,7 +123,7 @@
 		this.gtkAssistant = gtkAssistant;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkAssistant = cast(GtkAssistant*)obj;
Index: src/gtk/CellRendererText.d
===================================================================
--- src/gtk/CellRendererText.d	(revision 843)
+++ src/gtk/CellRendererText.d	(working copy)
@@ -118,7 +118,7 @@
 		this.gtkCellRendererText = gtkCellRendererText;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCellRendererText = cast(GtkCellRendererText*)obj;
Index: src/gtk/FontSelection.d
===================================================================
--- src/gtk/FontSelection.d	(revision 843)
+++ src/gtk/FontSelection.d	(working copy)
@@ -128,7 +128,7 @@
 		this.gtkFontSelection = gtkFontSelection;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkFontSelection = cast(GtkFontSelection*)obj;
Index: src/gtk/Tooltips.d
===================================================================
--- src/gtk/Tooltips.d	(revision 843)
+++ src/gtk/Tooltips.d	(working copy)
@@ -178,7 +178,7 @@
 		this.gtkTooltips = gtkTooltips;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTooltips = cast(GtkTooltips*)obj;
Index: src/gtk/SeparatorToolItem.d
===================================================================
--- src/gtk/SeparatorToolItem.d	(revision 843)
+++ src/gtk/SeparatorToolItem.d	(working copy)
@@ -115,7 +115,7 @@
 		this.gtkSeparatorToolItem = gtkSeparatorToolItem;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSeparatorToolItem = cast(GtkSeparatorToolItem*)obj;
Index: src/gtk/Layout.d
===================================================================
--- src/gtk/Layout.d	(revision 843)
+++ src/gtk/Layout.d	(working copy)
@@ -126,7 +126,7 @@
 		this.gtkLayout = gtkLayout;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkLayout = cast(GtkLayout*)obj;
Index: src/gtk/PrintOperation.d
===================================================================
--- src/gtk/PrintOperation.d	(revision 843)
+++ src/gtk/PrintOperation.d	(working copy)
@@ -202,7 +202,7 @@
 		this.gtkPrintOperation = gtkPrintOperation;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkPrintOperation = cast(GtkPrintOperation*)obj;
Index: src/gtk/Spinner.d
===================================================================
--- src/gtk/Spinner.d	(revision 843)
+++ src/gtk/Spinner.d	(working copy)
@@ -109,7 +109,7 @@
 		this.gtkSpinner = gtkSpinner;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSpinner = cast(GtkSpinner*)obj;
Index: src/gtk/TextTag.d
===================================================================
--- src/gtk/TextTag.d	(revision 843)
+++ src/gtk/TextTag.d	(working copy)
@@ -128,7 +128,7 @@
 		this.gtkTextTag = gtkTextTag;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTextTag = cast(GtkTextTag*)obj;
Index: src/gtk/IconView.d
===================================================================
--- src/gtk/IconView.d	(revision 843)
+++ src/gtk/IconView.d	(working copy)
@@ -141,7 +141,7 @@
 		this.gtkIconView = gtkIconView;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkIconView = cast(GtkIconView*)obj;
Index: src/gtk/AccelGroup.d
===================================================================
--- src/gtk/AccelGroup.d	(revision 843)
+++ src/gtk/AccelGroup.d	(working copy)
@@ -135,7 +135,7 @@
 		this.gtkAccelGroup = gtkAccelGroup;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkAccelGroup = cast(GtkAccelGroup*)obj;
Index: src/gtk/FileFilter.d
===================================================================
--- src/gtk/FileFilter.d	(revision 843)
+++ src/gtk/FileFilter.d	(working copy)
@@ -120,7 +120,7 @@
 		this.gtkFileFilter = gtkFileFilter;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkFileFilter = cast(GtkFileFilter*)obj;
Index: src/gtk/Builder.d
===================================================================
--- src/gtk/Builder.d	(revision 843)
+++ src/gtk/Builder.d	(working copy)
@@ -358,7 +358,7 @@
 		this.gtkBuilder = gtkBuilder;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkBuilder = cast(GtkBuilder*)obj;
Index: src/gtk/VSeparator.d
===================================================================
--- src/gtk/VSeparator.d	(revision 843)
+++ src/gtk/VSeparator.d	(working copy)
@@ -108,7 +108,7 @@
 		this.gtkVSeparator = gtkVSeparator;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkVSeparator = cast(GtkVSeparator*)obj;
Index: src/gtk/SizeGroup.d
===================================================================
--- src/gtk/SizeGroup.d	(revision 843)
+++ src/gtk/SizeGroup.d	(working copy)
@@ -167,7 +167,7 @@
 		this.gtkSizeGroup = gtkSizeGroup;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSizeGroup = cast(GtkSizeGroup*)obj;
Index: src/gtk/Box.d
===================================================================
--- src/gtk/Box.d	(revision 843)
+++ src/gtk/Box.d	(working copy)
@@ -150,7 +150,7 @@
 		this.gtkBox = gtkBox;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkBox = cast(GtkBox*)obj;
Index: src/gtk/EventBox.d
===================================================================
--- src/gtk/EventBox.d	(revision 843)
+++ src/gtk/EventBox.d	(working copy)
@@ -108,7 +108,7 @@
 		this.gtkEventBox = gtkEventBox;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkEventBox = cast(GtkEventBox*)obj;
Index: src/gtk/CellRendererAccel.d
===================================================================
--- src/gtk/CellRendererAccel.d	(revision 843)
+++ src/gtk/CellRendererAccel.d	(working copy)
@@ -116,7 +116,7 @@
 		this.gtkCellRendererAccel = gtkCellRendererAccel;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCellRendererAccel = cast(GtkCellRendererAccel*)obj;
Index: src/gtk/TextMark.d
===================================================================
--- src/gtk/TextMark.d	(revision 843)
+++ src/gtk/TextMark.d	(working copy)
@@ -130,7 +130,7 @@
 		this.gtkTextMark = gtkTextMark;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTextMark = cast(GtkTextMark*)obj;
Index: src/gtk/OffscreenWindow.d
===================================================================
--- src/gtk/OffscreenWindow.d	(revision 843)
+++ src/gtk/OffscreenWindow.d	(working copy)
@@ -129,7 +129,7 @@
 		this.gtkOffscreenWindow = gtkOffscreenWindow;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkOffscreenWindow = cast(GtkOffscreenWindow*)obj;
Index: src/gtk/HandleBox.d
===================================================================
--- src/gtk/HandleBox.d	(revision 843)
+++ src/gtk/HandleBox.d	(working copy)
@@ -126,7 +126,7 @@
 		this.gtkHandleBox = gtkHandleBox;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkHandleBox = cast(GtkHandleBox*)obj;
Index: src/gtk/AccelMap.d
===================================================================
--- src/gtk/AccelMap.d	(revision 843)
+++ src/gtk/AccelMap.d	(working copy)
@@ -115,7 +115,7 @@
 		this.gtkAccelMap = gtkAccelMap;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkAccelMap = cast(GtkAccelMap*)obj;
Index: src/gtk/RecentChooserWidget.d
===================================================================
--- src/gtk/RecentChooserWidget.d	(revision 843)
+++ src/gtk/RecentChooserWidget.d	(working copy)
@@ -123,7 +123,7 @@
 		this.gtkRecentChooserWidget = gtkRecentChooserWidget;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRecentChooserWidget = cast(GtkRecentChooserWidget*)obj;
Index: src/gtk/VScrollbar.d
===================================================================
--- src/gtk/VScrollbar.d	(revision 843)
+++ src/gtk/VScrollbar.d	(working copy)
@@ -114,7 +114,7 @@
 		this.gtkVScrollbar = gtkVScrollbar;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkVScrollbar = cast(GtkVScrollbar*)obj;
Index: src/gtk/CellView.d
===================================================================
--- src/gtk/CellView.d	(revision 843)
+++ src/gtk/CellView.d	(working copy)
@@ -135,7 +135,7 @@
 		this.gtkCellView = gtkCellView;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCellView = cast(GtkCellView*)obj;
Index: src/gtk/ToggleButton.d
===================================================================
--- src/gtk/ToggleButton.d	(revision 843)
+++ src/gtk/ToggleButton.d	(working copy)
@@ -159,7 +159,7 @@
 		this.gtkToggleButton = gtkToggleButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkToggleButton = cast(GtkToggleButton*)obj;
Index: src/gtk/VScale.d
===================================================================
--- src/gtk/VScale.d	(revision 843)
+++ src/gtk/VScale.d	(working copy)
@@ -112,7 +112,7 @@
 		this.gtkVScale = gtkVScale;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkVScale = cast(GtkVScale*)obj;
Index: src/gtk/Alignment.d
===================================================================
--- src/gtk/Alignment.d	(revision 843)
+++ src/gtk/Alignment.d	(working copy)
@@ -117,7 +117,7 @@
 		this.gtkAlignment = gtkAlignment;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkAlignment = cast(GtkAlignment*)obj;
Index: src/gtk/RecentAction.d
===================================================================
--- src/gtk/RecentAction.d	(revision 843)
+++ src/gtk/RecentAction.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gtkRecentAction = gtkRecentAction;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRecentAction = cast(GtkRecentAction*)obj;
Index: src/gtk/VBox.d
===================================================================
--- src/gtk/VBox.d	(revision 843)
+++ src/gtk/VBox.d	(working copy)
@@ -109,7 +109,7 @@
 		this.gtkVBox = gtkVBox;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkVBox = cast(GtkVBox*)obj;
Index: src/gtk/ToggleAction.d
===================================================================
--- src/gtk/ToggleAction.d	(revision 843)
+++ src/gtk/ToggleAction.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gtkToggleAction = gtkToggleAction;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkToggleAction = cast(GtkToggleAction*)obj;
